
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>深入Java虚拟机读书笔记[10:20] / iVAN</title>

    <meta name="description" content="深入Java虚拟机读书笔记[10:20] 第十章 栈和局部变量操作 第十一章 类型转换 第十二章 整数运算 第十三章 逻辑运算 第十四章 浮点运算 第十五章 对象和数组 第十六章 控制流 第十七章 异常 以上一些是操作码相关的内容, 第十八章 finally子句 微型子例程 字节码中的finally子句表现的很像微型子例程.Java方法与微型子例程使用不同的指令集.跳转到微型子例程的指令是jsr或者jsr_w,将返回地址压入栈.执行完毕后调用ret指令.ret指令并不会从栈中弹出返回地址,而是在子例程开始的时候将返回地址从栈顶取出存储在">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">深入Java虚拟机读书笔记[10:20]</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h3>第十章 栈和局部变量操作</h3>
<h3>第十一章 类型转换</h3>
<h3>第十二章 整数运算</h3>
<h3>第十三章 逻辑运算</h3>
<h3>第十四章 浮点运算</h3>
<h3>第十五章 对象和数组</h3>
<h3>第十六章 控制流</h3>
<h3>第十七章 异常</h3>
<p>以上一些是操作码相关的内容，</p>
<h3>第十八章 finally子句</h3>
<h4>微型子例程</h4>
<p>字节码中的finally子句表现的很像微型子例程。Java方法与微型子例程使用不同的指令集。跳转到微型子例程的指令是jsr或者jsr_w，将返回地址压入栈。执行完毕后调用ret指令。ret指令并不会从栈中弹出返回地址，而是在子例程开始的时候将返回地址从栈顶取出存储在局部变量，ret指令从局部变量中取出。这是因为finally子句本身会抛出异常或者含有return、break、continue等语句。finally确保会执行到，即使try或者catch中有return等语句。</p>
<h3>第十九章 方法的调用与返回</h3>
<p>实例方法和类方法区别：</p>
<p>a) 实例方法调用之前需要一个示例，类方法不需要<br />
b) 实例方法使用动态绑定，类方法使用静态绑定</p>
<p>调用的指令是invokevirtual和invokestatic。根据引用类型调用使用invokespecial，包括实例初始化、私有方法和super调用方法。在调用的引用类型是接口时使用invokeinterface。invokeinterface必须搜寻方法表而不是使用偏移量，因此速度比invokevirtual慢。</p>
<h3>第二十章 指令invokespecial</h3>
<h3>第二十一章 线程同步</h3>
<h4>监视器</h4>
<p>Java中使用的同步机制是监视器，监视器支持两种线程：互斥和协作。通过对象锁实现互斥，允许多个线程在同一个共享数据上独立而互不干扰地工作。协作通过Object类的wait和notify方法，允许多个线程为同一个目标而共同工作。监视区域是最小的不可分割的代码块。在同一个监视器中，监视区域只会同时被一个线程执行。Java所使用的监视器被称为wait and notify监视器。Java虚拟机在执行wait命令时可以指定一个暂停时间。唤醒命令有两种：notify和notifyAll。notify命令随意从等待区中选择一个线程并标记为可能苏醒，notifyAll命令将等待区中的所有线程标记为可能苏醒。</p>
<h4>类锁用对象锁实现</h4>
<p>锁住一个类实际上锁住的是类的Class对象。对于对象来说，Java虚拟机维护一个计数器，对象被加锁时计数加1。Java中有两种监视区域：同步语句和同步方法。每一个监视区域都和一个对象引用关联。同步语句块使用monitorenter和monitorexit两个操作码。对方法加锁比同步代码块更加高效。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 23:25:50</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>深入Java虚拟机读书笔记[10:20]的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mvn7yNM.html" rel="bookmark">深入Java虚拟机读书笔记&lbrack;5&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第五章 Java虚拟机 1. Java虚拟机内部体系结构 在函数中定义的一些基本类型的变量和对象的引用变量都在函数的栈内存中分配.当在一段代码块定义一个变量时,Java就在栈中为这个变量分配内存空间,当超过变量的作用域后,Java会自动释放掉为该变量所分配的内存空间,该内存空间可以立即被另作他用. 堆内存用来存放由new创建的对象和数组.在堆中分配的内存,由Java虚拟机的自动垃圾回收器来管理. 2. 数据类型 Java虚拟机中的数据类型分为基本类型和引用类型.Java语言中的所有基本类型同样为			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLmqgAz.html" rel="bookmark">深入Java虚拟机读书笔记&lbrack;8&colon;9&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第八章 连接模型 1. 动态连接和解析 每个类或者接口都编译为独立的class文件,他们之间通过接口(Harbor)符号相互联系,或者与Java API class文件相联系.class文件把所有引用符号保存在常量池,每一个class文件有一个常量池,被装载的类或者接口有一份内部版本的运行时常量池.常量池解析:根据符号查找到试题,把符号替换成直接引用.JDBC通常用forName装载时因为传递第三个参数为true时可以确保类被初始化,静态初始化方法会在DriverManger中被注册驱动程序.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M94ND4b.html" rel="bookmark">深入Java虚拟机读书笔记&lbrack;6&colon;7&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第六章 Java class文件 这章的内容讲的是编译后的class文件格式,我根据内容写了个class文件解析程序. https://github.com/JohnWong/class-file-parser 第七章 类型的生命周期 1. Java虚拟机通过装载.连接与初始化一个Java类型 连接步骤包括验证.准备.解析(可选).在类和接口被装载和连接的时机上,Java虚拟机规范给实现提供了一定的灵活性.但是要求每个类或者接口必须在首次主动使用时初始化.主动使用包括: a) 创建某个类的实例.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwWy05z.html" rel="bookmark">深入Java虚拟机读书笔记&lbrack;1&colon;4&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第一章 Java体系结构 1. Java体系结构 the Java programming language the Java class file format the Java Application Programming Interface the Java Virtual Machine 2. Java语言优点或使用的技术: object-orientation multi-threading structured error-handling garbage collection d			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvqnqVb.html" rel="bookmark">《深入Java虚拟机》笔记：指令集 &lpar;转&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;深入Java虚拟机&gt;笔记:指令集   指令 含义 iconst_m1 把int型常量-1压入栈中 iconst_0 把int型常量压入栈中 fconst_1 把float型常量1压入栈中 lconst_2 把long型常量2压入栈中 dconst_3 把double型常量3压入栈中 bipush byte1 把byte1转换成int型压入栈中 sipush byte1,byte2 把byte1,byte2组成的short转换成int压入栈中 aconst_null 把空对象压入栈中 ldc			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMqmNZM.html" rel="bookmark">java虚拟机学习笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				笔记 1.编译顺序:                 编译器                     虚拟机      虚拟机          java源文件*.java-------&gt;字节码*.class------&gt;类装载器---&gt;执行引擎 一个.class文件只能包含一个类或接口.因此.java文件中定义了多少类,编译时就会生成多少.class文件(内部类不算). 2.java程序可以选择两种方式访问底层系统,由程序员选择:(1).通过java程序调用javaapi调用本地方法,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0boZ9Vz.html" rel="bookmark">java虚拟机学习笔记2</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				笔记 11.数组数组也是类的对象.具有相同类型和维数的数组属于同一个类(不管长度只看维数).数组的长度属于对象实例.多维数组也是一维数组.如二 维数组,即为一个一维数组,该一维数组的每个元素是一个数组的引用.数组和普通对象一样也存储在堆中.数组名为数组的引用,通过索引即数组标号来访问数组内容. 12.异常在java栈帧的帧数据区内保存有针对该方法的异常表的引用.异常表记载了该方法的字节码(*.class)受catch子句保护的范围(即try子句里的 字节码).当某个方法抛出异常时,虚拟机在对应的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMyZ9lp.html" rel="bookmark">java虚拟机学习笔记1</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				笔记 1.编译顺序:                 编译器                     虚拟机      虚拟机          java源文件*.java-------&gt;字节码*.class------&gt;类装载器---&gt;执行引擎 一个.class文件只能包含一个类或接口.因此.java文件中定义了多少类,编译时就会生成多少.class文件(内部类不算). 2.java程序可以选择两种方式访问底层系统,由程序员选择:(1).通过java程序调用javaapi调用本地方法,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwl5qmb.html" rel="bookmark">《Effective C&plus;&plus;》读书笔记10：令operator&equals;返回一个引用指向&ast;this</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一般的连锁赋值方式: int x, y, z; x = y = z = 15;//等价于x = (y = (z = 15)); 当我们要实现自己的operator=操作时,就需要返回一个引用,该引用指向了操作符左 侧的参数: 1 class Widget 2 { 3 public: 4 5 Widget&amp; operator=(const Widget&amp; rhs) 6 { 7 8 return *this;//返回*this 9 } 10 }; 这个*this是所以c++标准实现中的规范做法			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpk0Lwz.html" rel="bookmark" class="title">迅雷网游加速器常见问题</a>
					<div>
						  1.什么是迅雷加速VIP 迅雷加速VIP是迅雷网游加速器为了满足部分用户对于急速体验的需求,特别推出的增值服务,享有以下特权: 1.加速免排队功能:普通用户在当前人数饱和后需排队等候才能使用加速功 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBdZap.html" rel="bookmark" class="title">关于PHP程序员解决问题的能力</a>
					<div>
						这个话题老生长谈了,在面试中必然考核的能力中,我个人认为解决问题能力是排第一位的,比学习能力优先级更高.解决问题的能力既能看出程序员的思维能力,应变能力,探索能力等,又可以看出他的经验.如果解决问题能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPQ6Zz.html" rel="bookmark" class="title">Flash里的 A&ast; Pathfinding</a>
					<div>
						A* Pathfinding,A*寻路,利用这原理可以制作战棋游戏...地图内黑色块为障碍物,白色块为通道,在非寻路状态时点击可以切换.红色块为主角,点击主角再点目标可进行寻路. PS:寻路是四方向的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM95mXM.html" rel="bookmark" class="title">实现可动态改变宽度的表格简单方法</a>
					<div>
						动态 &lt;head&gt;&lt; % '生成 css 类 ,用于设置表格 cssClassName=&quot;t&quot; cssClassNameMaxID=400 cssClassNam ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlE6Vp.html" rel="bookmark" class="title">拒绝坐以待毙：如何从百度挽回我们的快照</a>
					<div>
						        中小站长最闹心的事是什么?网站被降权.站长最期待的是什么?百度每日的更新,站长最害怕的是什么?更新后排名的下降,快照的收回.作为一名站长痛苦并快乐着已经成为了日常生活中不可缺少的主旋律 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2gRAb.html" rel="bookmark" class="title">配置基于ADSL的防火墙</a>
					<div>
						我的目的是做一台ADSL拨号网关,这个网关上由MPD作为VPN网关的守护进程,使用PPTP协议作为传输协议, 由于这台机器上有samba服务器,所以我无法开放我的所有端口,我必须封锁所有不需要的端口. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5A8oBp.html" rel="bookmark" class="title">活动目录系列之一：基本概念</a>
					<div>
						目录服务可以集中实现组织.管理.控制各种用户.组.计算机.共享文件夹.打印机各种资源等. 使用LDAP(端口389)轻量级目录访问协议工作,在域环境下所有用户及计算机等帐户信息均保存在一个 数据库中, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8j0ZNb.html" rel="bookmark" class="title">EntityFramework之领域驱动设计实践（九）：储的实现：深入篇</a>
					<div>
						早在年前的时候就已经在CSAI博客发表了上一篇文章:&lt;仓储的实现:基础篇&gt;.苦于日夜奔波于工作与生活之间,一直没有能够抽空继续探讨仓储的实现细节,也让很多关注EntityFramework ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ74jJb.html" rel="bookmark" class="title">HTML 4&period;0 语法排版标签</a>
					<div>
						  [文字置左.置中.置右] 使用方法:老实说,刚刚我们学过的分段标签&lt;p&gt;再加上一些简单的属性设定,就可以让其整个文字段落置左.置中或置右了,就如下表所示: 标签解说:嗯!秘诀就在于&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKG7Vp.html" rel="bookmark" class="title">Flash中随机运动小球的源码解析</a>
					<div>
						在舞台绘制一个圆转换为影片剪辑元件,实例名称为mc,在第一帧添加以下代码: function fanhui(x1, x2, y1, y2) {//计算并返回定义的坐标和对象坐标相加的平方根 Sqrt  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPxqyM.html" rel="bookmark" class="title">酷狗音乐自定义皮肤的方法</a>
					<div>
						我们首先打开酷狗音乐盒. 然后点击更换皮肤的按钮,然后点击右下角的加号,如图所示: 选择一张图片,并点击打开按钮,如图: 最后点击右下角的保存按钮即可,如图所示:					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdDloM.html" rel="bookmark" class="title">Win7网页屏蔽&OpenCurlyDoubleQuote;是否停止运行此脚本&rdquo;窗口</a>
					<div>
						  第一步.按下键盘Win+R组合键或者打开&quot;开始&quot;菜单中的&quot;运行&quot;工具,输入&quot;regedit&quot;再点击&quot;确定&quot;或者按下& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQ27qp.html" rel="bookmark" class="title">javascript解决innerText浏览器兼容问题思路代码&lowbar;javascript技巧</a>
					<div>
						下面的函数接收一个参数,该参数可以是数组还可以是一个元素,返回元素的文本. 复制代码 代码如下: function text(e){ var str = &quot;&quot;; //如果传入的是元 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7QENp.html" rel="bookmark" class="title">停止Java线程，小心interrupt&lpar;&rpar;方法</a>
					<div>
						转自http://www.blogjava.net/jinfeng_wang/archive/2008/04/27/196477.html  程序是很简易的.然而,在编程人员面前,多线程呈现出了一组新 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32Ljwz.html" rel="bookmark" class="title">nasch-matlab实现Nasch模型，我是新手，有代码但不知道为什么实现不了，求指教！</a>
					<div>
						问题描述 matlab实现Nasch模型,我是新手,有代码但不知道为什么实现不了,求指教! % 单车道 最大速度3个元胞 开口边界条件 加速 减速 随机慢化 clf clear all %build  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQ3dRp.html" rel="bookmark" class="title">gridview-在GridView控件FooterTemplate 动态添加控件</a>
					<div>
						问题描述 在GridView控件FooterTemplate 动态添加控件 我有个一个gridview是绑定一个datatable. 这个table的列是不固定的.我想在footertemplate里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvm6o6b.html" rel="bookmark" class="title">代数几何&colon;点&comma;线&comma;抛物线&comma;圆&comma;球&comma;弧度和角度</a>
					<div>
						一, 笛卡尔坐标系 笛卡尔坐标系是数学中的坐标系,而计算机中则采用屏幕坐标系统. 而三维坐标系则没有一个工业标准,分别有 Y轴向上(y-up)的坐标系, Z轴向上(z-up)的坐标系, 右手坐标系(r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkeWEEb.html" rel="bookmark" class="title">政府安全资讯精选 2017年第十三期 网信办发布《互联网新闻信息服务新技术新应用安全评估管理规定》；Facebook颁布新广告政策，加强内容安全</a>
					<div>
						  [国内政策分析] 网信办发布&lt;互联网新闻信息服务新技术新应用安全评估管理规定&gt; 点击查看原文   概要:网信办发布了针对新闻行业信息技术新应用的安全评估规定,要求根据新闻舆论属性.社会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Aw8Zz.html" rel="bookmark" class="title">&lbrack;usaco&rsqb;5&period;3&period;2 Milk Measuring 动态规划</a>
					<div>
						  Milk Measuring Hal Burch Farmer John must measure Q (1 &lt;= Q &lt;= 20,000) quarts of his finest  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rvNgz.html" rel="bookmark" class="title">搜索巨头服务质量大比拼</a>
					<div>
						就在搜狗控诉谷歌抄袭其输入法词库的时候,我们针对目前最流行的中文搜索巨头们的服务进行了仔细的研究.通过实用测试及比较,你可以发现中文搜索引擎究竟能给你的生活带来哪些好处与便利,以及各家搜索服务的优点与 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV05YVM.html" rel="bookmark" class="title">泛型集合序列化成jsonp格式返回</a>
					<div>
						问题描述 先有一个IList&lt;Entity.CyberEntity&gt;result=newList&lt;Entity.CyberEntity&gt;();这样的result的泛型集合,我想 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBglZKM.html" rel="bookmark" class="title">上网本：痛并快乐着</a>
					<div>
						2009年,对于已趋饱和的PC市场而言,一个关键词也始终牵动着产业链上下游厂商的所有神经,即上网本.相关数据表明,全球消费者今年将消费近3300万台上网本电脑,比去年增长超过100%,中国今年预计更是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXK9VvM.html" rel="bookmark" class="title">java清除html转义字符&lowbar;java</a>
					<div>
						复制代码 代码如下: import java.util.HashMap;import java.util.Map; import org.apache.commons.lang3.StringUtil ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QJYDp.html" rel="bookmark" class="title">java 处理图片倒置问题</a>
					<div>
						问题描述 最近客户导了一批数据,其中有一个图片字段,但是我用java读取出来的图片,是倒置的,请问有谁处理过类似此问题(即能通过某种技术,把倒置的图片处理成正常显示),请赐教!					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwyZkOM.html" rel="bookmark" class="title">《SEO的艺术（原书第2版）》&mdash;&mdash;第2章  搜索引擎基础</a>
					<div>
						第2章 搜索引擎基础 本章将开始研究搜索引擎的工作原理.这一主题的坚实基础对于理解SEO这一行业是必不可少的.第1章已经讨论过,人们习惯于在提交搜索查询之后立即得到搜索引擎的回答.第1章还讨论了查询的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNO5q7p.html" rel="bookmark" class="title">windows 10操作系统的电脑怎么改装windows 7系统？</a>
					<div>
						问题描述 windows 10操作系统的电脑怎么改装windows 7系统? 改装完了系统还是正版的么?会不会不给保修?什么版本的windows 7最好用? 解决方案 从msdn.itellyou.c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqONP3z.html" rel="bookmark" class="title">加强厂商关系10项法则：春兰、可口可乐的成功启示录</a>
					<div>
						商理缘起(一级)企业与经销商之间一般是有合作协议的,双方在某种意义上说是一个利益共同体,而二批商和零售终端与经销商之间的关系往往是自由贸易关系,没有长期稳定的合作关系,这样就会导致经销商对终端控制无力 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeLAR9p.html" rel="bookmark" class="title">Linux负载均衡软件LVS安装方法详解</a>
					<div>
						安装:(由于系统最小化安装,需要安装一些必要的组件) [root@LVS-GS001 ~]# uname -a Linux LVS-GS001 2.6.32-358.el6.x86_64 #1 SMP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxg82Bb.html" rel="bookmark" class="title">Facebook股价不断下跌引起了外界对公司未来的质疑</a>
					<div>
						Facebook股价不断下跌引起了外界对其联合创始人兼CEO马克·扎克伯格(Mark Zuckerberg)在公司未来的质疑,有人认为如果没有扎克伯格,Facebook或许能够表现得更好. 上周四,F ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlWeJYb.html" rel="bookmark" class="title">VMware宣布正式推出全新云管理平台解决方案</a>
					<div>
						VMware近期宣布正式推出VMware vRealize Automation 7与VMware vRealize Business Standard 7,进一步助力IT部门推动其所在企业的数字业务 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
